Skip to main content
GET
/
register
/
registrations
/
{registrationId}
/
files
/
{id}
/
download
Download a file
curl --request GET \
  --url https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}/download \
  --header 'Authorization: Bearer <token>' \
  --header 'Qonto-Partner-Id: <api-key>'
import requests

url = "https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}/download"

headers = {
"Authorization": "Bearer <token>",
"Qonto-Partner-Id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Qonto-Partner-Id': '<api-key>'}
};

fetch('https://thirdparty-sandbox.staging.qonto.co/register/registrations/{registrationId}/files/{id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "source": {
        "pointer": "<string>"
      }
    }
  ]
}
{
"errors": [
{
"code": "unauthorized",
"detail": "You must authenticate to perform API requests"
}
]
}
{
"errors": [
{
"code": "not_found",
"detail": "The record identified by <uuid> could not be found."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>. To get your <token>, please sign up to the Developer Portal.

Qonto-Partner-Id
string
header
required

API Key authorization header: Qonto-Partner-Id: <partner_id>. To get your <partner_id> please, sign up to the Developer Portal.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

id of the File resource

registrationId
string
required

id of the Registration resource

Response

Returns the location of the file identified by the id path parameter.